using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tutorial_5
{
    public interface ISubject
    {
        void RegisterObserver(IWeatherObserver observer);
        void DeregisterObserver(IWeatherObserver observer);
        void NotifyObservers();
    }
}
